from ssa.alarm.alarmist import RingBuffer


def test_push():
    buff = RingBuffer(5)
    buff.push("a")
    assert buff[0] == "a"

    buff.push("b")
    assert buff[0] == "b"
    assert buff[1] == "a"


def test_get():
    size = 5
    buff = RingBuffer(size)
    buff.push("a")
    assert buff.get(0, "default") == "a"
    assert buff.get(1, "default") == "default"


def test_overflow():
    size = 10
    buff = RingBuffer(size)
    for i in range(0, size * 2):
        buff.push(i)
    for i in range(0, size):
        assert buff[i] == (size * 2 - 1 - i)


def test_index_out_of_bounds():
    size = 5
    buff = RingBuffer(size)
    success = False
    try:
        buff[size]
    except:
        success = True
    if not success:
        raise Exception("try block should have thrown an exception")
