import datetime
import influxdb


class InfluxDBBridge:
    def __init__(self):
        # todo make this stuff configurable
        self.host = "localhost"
        self.port = 8086
        self.username = None
        self.password = None
        self.dbname = "paddle"

    def connect(self):
        # create and open client
        self.client = influxdb.InfluxDBClient(
            self.host, self.port, self.username, self.password, self.dbname
        )
        # try to create db just in case
        try:
            self.client.create_database(self.dbname)
        except influxdb.client.InfluxDBClientError:
            # db already exists, proceed
            pass

    def commit(self, json_body):
        self.client.write_points(json_body, time_precision="ms")
